	
	function myloader1() {
		for (i = 0; i <= 2; i++) {
			document.getElementsByClassName("blocki1")[i].disabled = true;
		}
		$("#loader1").show().delay(5000).fadeOut();
		setTimeout(showPage1, 5000);
	}

	function showPage1() {
		var projet = document.loancalculateform.projet.value;
		var montant = document.loancalculateform.montant.value;
		var duree = document.loancalculateform.duree.value;
		var choixresponse = 'simulation';
		
		var xhr = new XMLHttpRequest();
		xhr.onreadystatechange = function(){
			if(xhr.readyState == 4){
				if(xhr.status == 200){
					var responx=xhr.responseText;
					
					if(responx = "BINGO"){
						for (i = 0; i <= 2; i++) {
							document.getElementsByClassName("blocki1")[i].disabled = false;
						}
						window.location = "offres/credit/simulation/resultat/";
					}
				}	
			}
		}
		
		donneeSimulation = "projet="+projet+"&montant="+montant+"&duree="+duree+"&choixresponse="+choixresponse;
		
		xhr.open("POST", "offres/credit/session.php", true);
		xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
		xhr.send(donneeSimulation);
	}
	
	
	
	function Mef(valeur){ 	
		return valeur.toFixed(2);	
	}
	
	function printdiv(divID){
	  
	  var headstr = "<html><head><title></title></head><body>";
	  var footstr = "</body>";
	  var newstr = document.all.item(divID).innerHTML;
	  var oldstr = document.body.innerHTML;
	  document.body.innerHTML = headstr+newstr+footstr;
	  window.print();
	  document.body.innerHTML = oldstr;
	  return false;
	}

	function obtenirParametre () {
		Calcul("<?php echo $montant; ?>", "<?php echo $duree; ?>");
	}
	
	
	function Calcul(recupMontant,recupDureeMois){ 
		if(recupMontant<3000) {
			if(recupDureeMois==1){ var taux=3; var tauxassurance=1.74;}
			if(recupDureeMois==2){ var taux=3; var tauxassurance=1.24;}
			if(recupDureeMois==3){ var taux=3; var tauxassurance=0.94;}
			if(recupDureeMois==4){ var taux=3; var tauxassurance=0.8;}
			if(recupDureeMois==5){ var taux=3; var tauxassurance=0.74;}
			if(recupDureeMois==6){ var taux=3; var tauxassurance=0.7;}
			if(recupDureeMois==7){ var taux=3; var tauxassurance=0.66;}
			if(recupDureeMois==8){ var taux=3; var tauxassurance=0.52;}
			if(recupDureeMois==9){ var taux=3; var tauxassurance=1.74;}
			if(recupDureeMois==10){ var taux=3; var tauxassurance=1.24;}
			if(recupDureeMois==12){ var taux=3; var tauxassurance=0.94;}
			if(recupDureeMois==15){ var taux=3; var tauxassurance=0.8;}
			if(recupDureeMois==18){ var taux=3; var tauxassurance=0.74;}
			if(recupDureeMois==20){ var taux=3; var tauxassurance=0.7;}
			if(recupDureeMois==25){ var taux=3; var tauxassurance=0.66;}
			if(recupDureeMois==30){ var taux=3; var tauxassurance=0.52;}

		}
		
		else if((recupMontant>=3000)&&(recupMontant<10000)) {
			if(recupDureeMois==1){ var taux=3; var tauxassurance=1.94;}
			if(recupDureeMois==2){ var taux=3; var tauxassurance=1.38;}
			if(recupDureeMois==3){ var taux=3; var tauxassurance=1.04;}
			if(recupDureeMois==4){ var taux=3; var tauxassurance=0.89;}
			if(recupDureeMois==5){ var taux=3; var tauxassurance=0.83;}
			if(recupDureeMois==6){ var taux=3; var tauxassurance=0.78;}
			if(recupDureeMois==7){ var taux=3; var tauxassurance=0.74;}
			if(recupDureeMois==8){ var taux=3; var tauxassurance=0.66;}
			if(recupDureeMois==9){ var taux=3; var tauxassurance=1.74;}
			if(recupDureeMois==10){ var taux=3; var tauxassurance=1.24;}
			if(recupDureeMois==12){ var taux=3; var tauxassurance=0.94;}
			if(recupDureeMois==15){ var taux=3; var tauxassurance=0.8;}
			if(recupDureeMois==18){ var taux=3; var tauxassurance=0.74;}
			if(recupDureeMois==20){ var taux=3; var tauxassurance=0.7;}
			if(recupDureeMois==25){ var taux=3; var tauxassurance=0.66;}
			if(recupDureeMois==30){ var taux=3; var tauxassurance=0.52;}
		}
		
		else if((recupMontant>=10000)&&(recupMontant<=75000)) {
			if(recupDureeMois==1){ var taux=3; var tauxassurance=1.94;}
			if(recupDureeMois==2){ var taux=3; var tauxassurance=1.38;}
			if(recupDureeMois==3){ var taux=3; var tauxassurance=1.04;}
			if(recupDureeMois==4){ var taux=3; var tauxassurance=0.89;}
			if(recupDureeMois==5){ var taux=3; var tauxassurance=0.83;}
			if(recupDureeMois==6){ var taux=3; var tauxassurance=0.78;}
			if(recupDureeMois==7){ var taux=3; var tauxassurance=0.74;}
			if(recupDureeMois==8){ var taux=3; var tauxassurance=0.66;}
			if(recupDureeMois==9){ var taux=3; var tauxassurance=1.74;}
			if(recupDureeMois==10){ var taux=3; var tauxassurance=1.24;}
			if(recupDureeMois==12){ var taux=3; var tauxassurance=0.94;}
			if(recupDureeMois==15){ var taux=3; var tauxassurance=0.8;}
			if(recupDureeMois==18){ var taux=3; var tauxassurance=0.74;}
			if(recupDureeMois==20){ var taux=3; var tauxassurance=0.7;}
			if(recupDureeMois==25){ var taux=3; var tauxassurance=0.66;}
			if(recupDureeMois==30){ var taux=3; var tauxassurance=0.52;}
		}
		
		else{
			if(recupDureeMois==1){ var taux=3; var tauxassurance=1.74;}
			if(recupDureeMois==2){ var taux=3; var tauxassurance=1.25;}
			if(recupDureeMois==3){ var taux=3; var tauxassurance=0.94;}
			if(recupDureeMois==4){ var taux=3; var tauxassurance=0.8;}
			if(recupDureeMois==5){ var taux=3; var tauxassurance=0.75;}
			if(recupDureeMois==6){ var taux=3; var tauxassurance=0.71;}
			if(recupDureeMois==7){ var taux=3; var tauxassurance=0.67;}
			if(recupDureeMois==8){ var taux=3; var tauxassurance=0.56;}
			if(recupDureeMois==9){ var taux=3; var tauxassurance=1.74;}
			if(recupDureeMois==10){ var taux=3; var tauxassurance=1.24;}
			if(recupDureeMois==12){ var taux=3; var tauxassurance=0.94;}
			if(recupDureeMois==15){ var taux=3; var tauxassurance=0.8;}
			if(recupDureeMois==18){ var taux=3; var tauxassurance=0.74;}
			if(recupDureeMois==20){ var taux=3; var tauxassurance=0.7;}
			if(recupDureeMois==25){ var taux=3; var tauxassurance=0.66;}
			if(recupDureeMois==30){ var taux=3; var tauxassurance=0.52;}
		}
		
		
		recupDureeMois=recupDureeMois*12;
		var Rf = (taux / 1200);
		var P1 = recupMontant * ( Rf / ( 1 - ( 1 / ( Math.pow ( ( 1 + Rf ), recupDureeMois ) ) ) ) ) ;
		var Pf = Math.floor ( ( P1 + 0.005 ) * 100) / 100; //mensualités
		
		mensualiteassurance=(recupMontant*tauxassurance)/1200;
		couttotalassurance=mensualiteassurance*recupDureeMois;
		
		var Amort=new Array();
		Amort[0,1] = recupMontant;
		var Cp=0;
		var Ci=0;
		
		var impr=("<"+"table border='0' >");
		impr+=("<"+"tr><"+"th>Echéance</"+"th><"+"th>Année</"+"th>");
		impr+=("    <"+"th>Mois</"+"th>");
		impr+=("    <"+"th>Mensualité</"+"th>");
		impr+=("    <"+"th>Dont Capital</"+"th><"+"th>Dont Intérêt</"+"th>");
		impr+=("    <"+"th>Capital restant dû</"+"th></"+"tr>");
		
		for ( var I=1 ; I <= recupDureeMois ; I++ ){	
			Amort[I, 2] = Amort[I - 1, 1] * Rf;
			Amort[I, 2] = Math.floor((Amort[I, 2] + 0.005) * 100) / 100;
			Amort[I, 1] = Amort[I - 1, 1] - Pf + Amort[I, 2];
			Amort[I, 1] = Math.floor ( ( Amort[I, 1] + 0.005 ) * 100 ) / 100;
			
			if(I==recupDureeMois) {Amort[I, 1] = 0;}
			
			var T1 = I - Math.floor ( ( I - 1 ) / 12 ) * 12;
			var T2 = 1 + Math.floor ( ( I - 1 ) / 12 );
			
			impr+=("<"+"tr><"+"td>"+I+"</"+"td>"); //mois
			impr+=("    <"+"td>"+T2+"</"+"td>");
			impr+=("    <"+"td>"+T1+"</"+"td>");
			impr+=("    <"+"td>"+Pf+"</"+"td>");
			impr+=("    <"+"td>"+Mef(Pf - Amort[I, 2])+"</"+"td>");
			impr+=("    <"+"td>"+Mef(Amort[I,2])+"</"+"td>");
			impr+=("    <"+"td>"+Mef(Amort[I, 1])+"</"+"td>");

			
			Cp = Cp + Pf - Amort[I, 2];
			Ci = Ci + Amort[I, 2];
		}
		
		Cp = Math.floor((Cp + 0.005) * 100) / 100;
		Ci = Math.floor((Ci + 0.005) * 100) / 100;
		
		
		document.getElementById("montantcredit").innerHTML=recupMontant+'&nbsp;€';
		document.getElementById("dureecredit").innerHTML=recupDureeMois+'&nbsp;mois';
		document.getElementById("mensualite").innerHTML=Pf+'&nbsp;€';
		//document.getElementById("taux").innerHTML=taux+'&nbsp;%';
		document.getElementById("montanttotaldu").innerHTML=Mef(Pf*recupDureeMois)+'&nbsp;€';
		
		document.getElementById("mensualit").innerHTML=Pf+'&nbsp;€';
		document.getElementById("couttotalassu").innerHTML=Mef(couttotalassurance)+'&nbsp;€';
		
		document.getElementById("assumensuel").innerHTML=Mef(mensualiteassurance)+'&nbsp;€';
		document.getElementById("assumensuel2").innerHTML=Mef(mensualiteassurance)+'&nbsp;€';
		
		document.getElementById("tau").innerHTML=taux+'&nbsp;%';
		document.getElementById("montanttotald").innerHTML=Mef(Pf*recupDureeMois)+'&nbsp;€';
		
		//document.getElementById("tauxassu").innerHTML=tauxassurance+'&nbsp;%';
		document.getElementById("mensualiteassu").innerHTML=Mef(mensualiteassurance+Pf)+'&nbsp;€';
		document.getElementById("montanttotatassu").innerHTML=Mef(couttotalassurance+Pf*recupDureeMois)+'&nbsp;€';
		
		document.getElementById("result").innerHTML=impr;
	}
	
	
	
	
	
	
	function printContent(el){
		var restorepage = document.body.innerHTML;
		var printcontent = document.getElementById(el).innerHTML;
		document.body.innerHTML = printcontent;
		window.print();
		document.body.innerHTML = restorepage;
	}